import { IgControlBase } from '../igcontrolbase/igcontrolbase';
import { AfterContentInit, QueryList, ElementRef, KeyValueDiffers, IterableDiffers, SimpleChanges, ChangeDetectorRef, Renderer2, OnInit, OnChanges, DoCheck } from '@angular/core';
import { Column } from './column.directive';
import { Features } from './features.directive';
import * as i0 from "@angular/core";
export declare class IgGridBase<Model> extends IgControlBase<Model> implements AfterContentInit, OnInit, OnChanges, DoCheck {
    set dataSource(value: any);
    primaryKey: string;
    protected _changes: any;
    _columns: QueryList<Column>;
    featuresList: Features;
    private _dataSource;
    constructor(el: ElementRef, renderer: Renderer2, differs: IterableDiffers, kvalDiffers: KeyValueDiffers, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterContentInit(): void;
    createDataSource(value: any): any;
    deleteRow(id: any, index: any): void;
    addRow(rowData: any, index: any): void;
    updateRow(rec: any, currValue: any, key: any): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngDoCheck(): void;
    dataSourceApplyChanges(changes: any): void;
    allRows(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgGridBase<any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<IgGridBase<any>, never, never, { "dataSource": { "alias": "dataSource"; "required": false; }; "primaryKey": { "alias": "primaryKey"; "required": false; }; }, {}, ["featuresList", "_columns"], never, false, never>;
}
