/// <reference types="ignite-ui" />
import { Feature } from '../feature';
import { ElementRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class IgGridTooltipsFeature extends Feature<IgGridTooltips> {
    constructor(el: ElementRef);
    /**
     * Destroys the tooltip widget.
     */
    destroy(): void;
    /**
     * Returns the ID of the parent div element bounding the ruler and the tooltip container
     */
    id(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgGridTooltipsFeature, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<IgGridTooltipsFeature, "tooltips", never, { "disabled": { "alias": "disabled"; "required": false; }; "create": { "alias": "create"; "required": false; }; "visibility": { "alias": "visibility"; "required": false; }; "style": { "alias": "style"; "required": false; }; "showDelay": { "alias": "showDelay"; "required": false; }; "hideDelay": { "alias": "hideDelay"; "required": false; }; "columnSettings": { "alias": "columnSettings"; "required": false; }; "fadeTimespan": { "alias": "fadeTimespan"; "required": false; }; "cursorLeftOffset": { "alias": "cursorLeftOffset"; "required": false; }; "cursorTopOffset": { "alias": "cursorTopOffset"; "required": false; }; "inherit": { "alias": "inherit"; "required": false; }; }, { "tooltipShowing": "tooltipShowing"; "tooltipShown": "tooltipShown"; "tooltipHiding": "tooltipHiding"; "tooltipHidden": "tooltipHidden"; }, never, never, false, never>;
}
