/// <reference types="ignite-ui" />
import { IterableDiffers, ElementRef, KeyValueDiffers, ChangeDetectorRef, Renderer2 } from '@angular/core';
import { IgControlBase } from '../igcontrolbase/igcontrolbase';
import * as i0 from "@angular/core";
export declare class IgRadialMenuComponent extends IgControlBase<IgRadialMenu> {
    constructor(el: ElementRef, renderer: Renderer2, differs: IterableDiffers, kvalDiffers: KeyValueDiffers, cdr: ChangeDetectorRef);
    itemOption(itemKey: object, key: object, value: object): void;
    exportVisualData(): void;
    flush(): void;
    destroy(): void;
    styleUpdated(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgRadialMenuComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgRadialMenuComponent, "ig-radial-menu", never, { "widgetId": { "alias": "widgetId"; "required": false; }; "options": { "alias": "options"; "required": false; }; "changeDetectionInterval": { "alias": "changeDetectionInterval"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "create": { "alias": "create"; "required": false; }; "items": { "alias": "items"; "required": false; }; "currentOpenMenuItemName": { "alias": "currentOpenMenuItemName"; "required": false; }; "centerButtonContentWidth": { "alias": "centerButtonContentWidth"; "required": false; }; "centerButtonContentHeight": { "alias": "centerButtonContentHeight"; "required": false; }; "centerButtonClosedFill": { "alias": "centerButtonClosedFill"; "required": false; }; "centerButtonClosedStroke": { "alias": "centerButtonClosedStroke"; "required": false; }; "centerButtonFill": { "alias": "centerButtonFill"; "required": false; }; "centerButtonHotTrackFill": { "alias": "centerButtonHotTrackFill"; "required": false; }; "centerButtonHotTrackStroke": { "alias": "centerButtonHotTrackStroke"; "required": false; }; "centerButtonStroke": { "alias": "centerButtonStroke"; "required": false; }; "centerButtonStrokeThickness": { "alias": "centerButtonStrokeThickness"; "required": false; }; "font": { "alias": "font"; "required": false; }; "isOpen": { "alias": "isOpen"; "required": false; }; "menuBackground": { "alias": "menuBackground"; "required": false; }; "menuItemOpenCloseAnimationDuration": { "alias": "menuItemOpenCloseAnimationDuration"; "required": false; }; "menuItemOpenCloseAnimationEasingFunction": { "alias": "menuItemOpenCloseAnimationEasingFunction"; "required": false; }; "menuOpenCloseAnimationDuration": { "alias": "menuOpenCloseAnimationDuration"; "required": false; }; "menuOpenCloseAnimationEasingFunction": { "alias": "menuOpenCloseAnimationEasingFunction"; "required": false; }; "minWedgeCount": { "alias": "minWedgeCount"; "required": false; }; "outerRingFill": { "alias": "outerRingFill"; "required": false; }; "outerRingThickness": { "alias": "outerRingThickness"; "required": false; }; "outerRingStroke": { "alias": "outerRingStroke"; "required": false; }; "outerRingStrokeThickness": { "alias": "outerRingStrokeThickness"; "required": false; }; "rotationInDegrees": { "alias": "rotationInDegrees"; "required": false; }; "rotationAsPercentageOfWedge": { "alias": "rotationAsPercentageOfWedge"; "required": false; }; "wedgePaddingInDegrees": { "alias": "wedgePaddingInDegrees"; "required": false; }; "pixelScalingRatio": { "alias": "pixelScalingRatio"; "required": false; }; }, { "formatLabel": "formatLabel"; "alignLabel": "alignLabel"; "valueChanged": "valueChanged"; }, never, ["*"], false, never>;
}
