/// <reference types="ignite-ui" />
import { Feature } from '../feature';
import { ElementRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class IgGridAppendRowsOnDemandFeature extends Feature<IgGridAppendRowsOnDemand> {
    constructor(el: ElementRef);
    /**
     * Destroys the append rows on demand widget
     */
    destroy(): void;
    /**
     * Loads the next chunk of data.
     */
    nextChunk(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgGridAppendRowsOnDemandFeature, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<IgGridAppendRowsOnDemandFeature, "append-rows-on-demand", never, { "type": { "alias": "type"; "required": false; }; "chunkSize": { "alias": "chunkSize"; "required": false; }; "recordCountKey": { "alias": "recordCountKey"; "required": false; }; "chunkSizeUrlKey": { "alias": "chunkSizeUrlKey"; "required": false; }; "chunkIndexUrlKey": { "alias": "chunkIndexUrlKey"; "required": false; }; "defaultChunkIndex": { "alias": "defaultChunkIndex"; "required": false; }; "currentChunkIndex": { "alias": "currentChunkIndex"; "required": false; }; "loadTrigger": { "alias": "loadTrigger"; "required": false; }; "loadMoreDataButtonText": { "alias": "loadMoreDataButtonText"; "required": false; }; }, { "rowsRequesting": "rowsRequesting"; "rowsRequested": "rowsRequested"; }, never, never, false, never>;
}
