/// <reference types="ignite-ui" />
import { Feature } from '../feature';
import { ElementRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class IgGridResponsiveFeature extends Feature<IgGridResponsive> {
    constructor(el: ElementRef);
    /**
     * Destroys the responsive widget.
     */
    destroy(): void;
    /**
     * Returns the currently active responsive mode.
     */
    getCurrentResponsiveMode(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgGridResponsiveFeature, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<IgGridResponsiveFeature, "responsive", never, { "disabled": { "alias": "disabled"; "required": false; }; "create": { "alias": "create"; "required": false; }; "columnSettings": { "alias": "columnSettings"; "required": false; }; "reactOnContainerWidthChanges": { "alias": "reactOnContainerWidthChanges"; "required": false; }; "forceResponsiveGridWidth": { "alias": "forceResponsiveGridWidth"; "required": false; }; "responsiveSensitivity": { "alias": "responsiveSensitivity"; "required": false; }; "responsiveModes": { "alias": "responsiveModes"; "required": false; }; "enableVerticalRendering": { "alias": "enableVerticalRendering"; "required": false; }; "windowWidthToRenderVertically": { "alias": "windowWidthToRenderVertically"; "required": false; }; "propertiesColumnWidth": { "alias": "propertiesColumnWidth"; "required": false; }; "valuesColumnWidth": { "alias": "valuesColumnWidth"; "required": false; }; "allowedColumnWidthPerType": { "alias": "allowedColumnWidthPerType"; "required": false; }; "singleColumnTemplate": { "alias": "singleColumnTemplate"; "required": false; }; "inherit": { "alias": "inherit"; "required": false; }; }, { "responsiveColumnHiding": "responsiveColumnHiding"; "responsiveColumnHidden": "responsiveColumnHidden"; "responsiveColumnShowing": "responsiveColumnShowing"; "responsiveColumnShown": "responsiveColumnShown"; "responsiveModeChanged": "responsiveModeChanged"; }, never, never, false, never>;
}
