/// <reference types="ignite-ui" />
import { ElementRef, IterableDiffers, KeyValueDiffers, ChangeDetectorRef, Renderer2, OnInit } from '@angular/core';
import { IgControlBase } from '../igcontrolbase/igcontrolbase';
import * as i0 from "@angular/core";
export declare class IgPivotDataSelectorComponent extends IgControlBase<IgPivotDataSelector> implements OnInit {
    constructor(el: ElementRef, renderer: Renderer2, differs: IterableDiffers, kvalDiffers: KeyValueDiffers, cdr: ChangeDetectorRef);
    set dataSource(value: any);
    private _dataSource;
    option(): void;
    ngOnInit(): void;
    /**
     * Updates the data source.
     */
    update(): void;
    /**
     * Destroy is part of the jQuery UI widget API and does the following:
     *                 1. Remove custom CSS classes that were added.
     *                 2. Unwrap any wrapping elements such as scrolling divs and other containers.
     *                 3. Unbind all events that were bound.
     */
    destroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgPivotDataSelectorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgPivotDataSelectorComponent, "ig-pivot-data-selector", never, { "widgetId": { "alias": "widgetId"; "required": false; }; "options": { "alias": "options"; "required": false; }; "changeDetectionInterval": { "alias": "changeDetectionInterval"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "create": { "alias": "create"; "required": false; }; "width": { "alias": "width"; "required": false; }; "height": { "alias": "height"; "required": false; }; "dataSource": { "alias": "dataSource"; "required": false; }; "dataSourceOptions": { "alias": "dataSourceOptions"; "required": false; }; "deferUpdate": { "alias": "deferUpdate"; "required": false; }; "dragAndDropSettings": { "alias": "dragAndDropSettings"; "required": false; }; "dropDownParent": { "alias": "dropDownParent"; "required": false; }; "disableRowsDropArea": { "alias": "disableRowsDropArea"; "required": false; }; "disableColumnsDropArea": { "alias": "disableColumnsDropArea"; "required": false; }; "disableMeasuresDropArea": { "alias": "disableMeasuresDropArea"; "required": false; }; "disableFiltersDropArea": { "alias": "disableFiltersDropArea"; "required": false; }; "customMoveValidation": { "alias": "customMoveValidation"; "required": false; }; }, { "dataSelectorRendered": "dataSelectorRendered"; "dataSourceInitialized": "dataSourceInitialized"; "dataSourceUpdated": "dataSourceUpdated"; "deferUpdateChanged": "deferUpdateChanged"; "dragStart": "dragStart"; "drag": "drag"; "dragStop": "dragStop"; "metadataDropping": "metadataDropping"; "metadataDropped": "metadataDropped"; "metadataRemoving": "metadataRemoving"; "metadataRemoved": "metadataRemoved"; "filterDropDownOpening": "filterDropDownOpening"; "filterDropDownOpened": "filterDropDownOpened"; "filterMembersLoaded": "filterMembersLoaded"; "filterDropDownOk": "filterDropDownOk"; "filterDropDownClosing": "filterDropDownClosing"; "filterDropDownClosed": "filterDropDownClosed"; }, never, ["*"], false, never>;
}
